Subject: Hanna Meters?

From: [email-masked] (Terence & Kim Dodge)
Date: Fri, 29 Mar 1996 07:29:59 -0800

Does anyone have any knowledge - reviews, crits  - of the Hanna meters for
measuring a variety of soil conditions?  We read about these in the
Peaceful Valley catalog and were curious to hear grower's experience.

Thanks, 
Terence and Kim